body:has(.header-3) {
  padding-top: 8rem;
}

body:has(.header-3 + .sec-banner.sec-banner-full) {
  padding-top: 0;
}

.header-3 {
  background-color: var(--header_bg_color);
  border-bottom: 1px solid var(--header_font_color);
}

.header-3:has(+ .sec-banner):not(.active):not(:hover) {
  background-color: #ffffff42;
  border-color: var(--header_font_color);
}

.header-3.active,
.header-3:hover {
  background-color: var(--header_bg_color) !important;
}

.header-3 .header-top-block {
  gap: 4rem;
  flex-wrap: nowrap;
  height: 8rem;
}

.header-3 .logo {
  width: 20rem;
  display: flex;
  justify-content: center;
  flex-shrink: 0;
}

.header-3 .logo a {
  height: 4.5rem;
  display: flex;
  align-items: center;
}

.header-3 .logo img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
}

.header-3 .header-menu,
.header-3 .header-top-right {
  width: calc(50% - 14rem);
  flex-shrink: 0;
  position: relative;
}

.header-3 .header-menu>.menu>ul {
  display: flex;
  gap: 2.4rem;
}

.header-3 .header-top-right {
  gap: 2.4rem;
  justify-content: flex-end;
}

.header-3 .icons {
  position: relative;
}

.header-3 .icons svg {
  height: 2.2rem;
  width: auto;
  ;
}

.header-3 .icons-counter {
  position: absolute;
  background: var(--header_font_color);
  width: 1.8rem;
  height: 1.8rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  top: -5px;
  right: -6px;
  font-size: 0.9rem;
  color: white;
  font-weight: 600;
}

.header-3 .icons button {
  background: transparent;
  padding: 0;
  margin: 0;
  border: 0;
}

.header-3,
.header-3 a:link,
.header-3 a:visited {
  color: var(--header_font_color);
}

.header-3 .menu>ul>li>a {
  white-space: nowrap;
}

.header-3 .menu>ul>li:hover>a,
.header-3 .menu>ul>li.active>a {
  color: var(--header_active_color);
}

.header-3 .menu>ul>li.active>a:after,
.header-3 .menu>ul>li:hover>a:after {
  position: absolute;
  content: "";
  bottom: 0;
  left: 0;
  height: .2rem;
  background: var(--header_active_color);
  width: 100%;
}

.header-3 .submenu {
  overflow: hidden;
  overflow-y: auto;
  max-height: calc(100vh - 10rem);
  background-color: var(--header_bg_color);
}

.submenu a:hover,
.submenu li.active a {
  background-color: #f6f6f6;
  color: var(--header_active_color);
}

.header-3 .search-block {
  position: relative;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.header-3 .search-block .form-control {
  height: 4.8rem;
  font-size: 1.4rem;
  padding: 0 6rem 0 2rem;
  border-radius: 0.8rem;
  color: var(--header_font_color);
  border: .1rem solid var(--header_active_color);
}

.header-3 .search-block .btn {
  position: absolute;
  top: 0;
  right: 0;
  width: 4.8rem;
  height: 4.8rem;
  margin: 0;
  padding: 0;
  border-radius: .5rem;
  background-color: var(--header_active_color);
  color: white;
}

.header-3 #autocomplete-result-container .autocomplete-result {
  width: 100%;
  top: 0;
}

.header-mobile body:has(.header-3) {
  padding-top: 14.5rem;
}

.header-mobile body:has(.header-3 + .sec-banner.sec-banner-full) {
  padding-top: 0;
}

.header-mobile .header-3 .header-top-block {
  gap: 1.6rem;
  height: 6rem;
  flex-wrap: wrap;
  justify-content: flex-start;
}

.header-mobile .header-3 .logo {
  width: auto;
  justify-content: flex-start;
}

.header-mobile .header-3 .logo a {
  height: 4rem;
}

.header-mobile .header-3 .header-top-right {
  width: auto;
  gap: 2rem;
  margin-left: auto;
}

.header-mobile .header-3 .header-menu {
  position: fixed;
  width: calc(100% - 6.4rem);
  background: #fff !important;
  left: -100%;
  right: auto;
  padding-top: 6rem;
}

.header-mobile .header-3 .header-menu.active {
  left: 0;
}

.header-mobile .header-3 .icons svg {
  height: 1.8rem;
}

.header-mobile .header-3 .search-block {
  margin-top: 0;
  margin-bottom: 0;
}

.header-mobile .header-3 .search-block .form-control {
  height: 4rem;
}

.header-mobile .header-3 .search-block .btn {
  width: 4rem;
  height: 4rem;
}

.header-mobile .header-3 .header-search {
  position: relative;
  padding: 1.5rem 0;
  margin-top: 1.5rem;
}

.header-mobile .header-3 .header-search:before {
  position: absolute;
  content: "";
  top: 0;
  width: 100vw;
  left: 50%;
  transform: translate(-50%, 0);
  height: .1rem;
  top: 0;
  background: var(--header_line_color);
}

.header-mobile .header-3 .header-menu>.menu>ul {
  display: block;
}

.header-mobile .header-3 .closeMenu,
.header-mobile .header-3 .menu-back {
  justify-content: flex-start;
  gap: 1.3rem;
  background: #f2f2f2;
  height: 6rem;
  border-bottom: 0.1rem solid rgba(0, 0, 0, 0.1);
}

.header-mobile .header-3 .submenu {
  max-height: initial;
}

.header-mobile .header-3 .menu>ul>li>a {
  font-size: 1.5rem;
  padding: 1rem 1.5rem;
  border-bottom: .1rem solid rgb(0 0 0 / .1);
  display: block;
  font-weight: 500;
}

.header-mobile .header-3 .menu-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(0 0 0 / .64);
  z-index: 1;
}

.header-mobile .header-3 .menu>ul>li.hasmenu>a:after {
  position: absolute;
  content: "";
  height: .9rem;
  width: .9rem;
  left: auto;
  right: 2rem;
  top: 0;
  bottom: 0;
  margin: auto;
  border: .1rem solid #000;
  border-top: 0;
  border-left: 0;
  transform: rotate(-45deg);
  background: transparent !important;
}

.header-mobile .header-3 .submenu {
  max-height: initial;
  background: #fff !important;
  width: calc(100% - 6.4rem);
  left: -100%;
  right: auto;
  -webkit-transition: left 300ms cubic-bezier(0.4, 0, 0.2, 1);
  transition: left 300ms cubic-bezier(0.4, 0, 0.2, 1);
}

.header-mobile .header-3 .submenu.open {
  left: 0;
}

.header-mobile .header-3 .submenu a {
  padding: 1.4rem 1.5rem;
  font-weight: 500;
  border-bottom: 0.1rem solid rgba(0, 0, 0, 0.1);
}

.header-mobile .header-3 .menu-back:after {
  top: 2.3rem;
}

.header-mobile .header-3 .submenu-body {
  height: calc(100vh - 6rem);
  height: calc(100dvh - 6rem);
}

.header-mobile .header-3 .menu-view-all {
  padding: 1.5rem 1.5rem .8rem;
}

.header-mobile .header-3 .menu-view-all a {
  padding: 0 2rem;
  font-size: 1.4rem;
  line-height: 2rem !important;
  color: #000 !important;
  background: #fff !important;
  width: 100%;
  display: flex;
  border: .1rem solid #000;
  text-align: center;
  border-radius: .4rem;
  height: 3.6rem;
  align-items: center;
  justify-content: center;
  font-weight: 500;
}